Channels

Change the project that manages a channel

POST
/api/projects/{projectId}/channels/{channelId}/management

Authorization

headerAuthorizationBearer <Postdot API key>

A user-owned Postdot API key sent as Authorization: Bearer <token>. Its project scope is limited by the creator’s current access.

Path Parameters

projectId*string
Length1 <= length
channelId*string
Length1 <= length

Request Body

  1. body
projectId*string
Length1 <= length
expectedRevision*integer
Range1 <= value

Response Body

Response for status 200

application/json
  1. response
result*string
Value in"changed""unchanged"
revision*integer
Example Request
curl -X POST 'https://postdot.example/api/projects/string/channels/string/management' \
  -H 'Content-Type: application/json' \
  -d '{
  "projectId": "string",
  "expectedRevision": 1
}'
Example Response
{
  "result": "changed",
  "revision": 0
}

Was this page helpful?